Get retention
GET
/api/v1/instance/audit/retention
const url = 'https://example.com/api/v1/instance/audit/retention';const options = {method: 'GET', headers: {cookie: 'ttx_access_token=<ttx_access_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/instance/audit/retention \ --cookie ttx_access_token=<ttx_access_token>How long this log keeps its events (fixed), and how the server’s log files are capped (.env, read-only here).
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
AuditRetentionRead
object
days
required
Days
integer
log_file_backups
required
Log File Backups
integer
log_file_max_mb
required
Log File Max Mb
integer
Example generated
{ "days": 1, "log_file_backups": 1, "log_file_max_mb": 1}